package de.avatic.lcc.model.azuremaps.geocoding;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.List;

@JsonIgnoreProperties(ignoreUnknown = true)
public class Properties {

    @JsonProperty("confidence")
    private String confidence;

    @JsonProperty("matchCodes")
    private List<String> matchCodes;

    @JsonProperty("geocodePoints")
    private List<GeocodePoint> geocodePoints;

    @JsonProperty("address")
    private Address address;

    public String getConfidence() {
        return confidence;
    }

    public void setConfidence(String confidence) {
        this.confidence = confidence;
    }

    public List<String> getMatchCodes() {
        return matchCodes;
    }

    public void setMatchCodes(List<String> matchCodes) {
        this.matchCodes = matchCodes;
    }

    public List<GeocodePoint> getGeocodePoints() {
        return geocodePoints;
    }

    public void setGeocodePoints(List<GeocodePoint> geocodePoints) {
        this.geocodePoints = geocodePoints;
    }

    public Address getAddress() {
        return address;
    }

    public void setAddress(Address address) {
        this.address = address;
    }
}